[rspec-users] changes in 0.8 and greater - should_

Scott Taylor mailing_lists at railsnewbie.com
Mon Apr 9 16:07:10 EDT 2007


Has the should_... syntax changed?  I'm getting errors when running  
the following:

should_render(:index)
should_be_valid
should_not_be_valid
should_respond_to
should_be
should_render

I  thought the syntax changed to something like the following:

obj.should render(:index)

but this doesn't seem to work.

Scott




More information about the rspec-users mailing list